Page MenuHomePhabricator
Paste P8926

wrk.sh
ActivePublic

Authored by Eevans on Aug 16 2019, 6:02 PM.
#!/bin/sh
set -ex
WRK_ARGS=${WRK_ARGS:-"--latency -d10m"}
LUA_CPATH=${LUA_CPATH:-/usr/lib/x86_64-linux-gnu/lua/5.1/?.so}
KASK_URL=${KASK_URL:-https://kubernetes1001.eqiad.wmnet:8081}
cd `dirname $0`
if [ ! -f "multi-request-json.lua" ]; then
echo "multi-request-json.lua is missing!" >&2
exit 1
fi
if [ ! -f "requests.json" ]; then
echo "requests.json is missing!" >&2
exit 1
fi
LUA_CPATH=$LUA_CPATH wrk $WRK_ARGS -s multi-request-json.lua $KASK_URL

Event Timeline

Eevans edited the content of this paste. (Show Details)Aug 16 2019, 6:02 PM
Eevans changed the title of this paste from untitled to wrk.sh.
Eevans updated the paste's language from autodetect to shell.